> For the complete documentation index, see [llms.txt](https://anilist.gitbook.io/anilist-apiv2-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://anilist.gitbook.io/anilist-apiv2-docs/docs/reference/object/staffroletype.md).

# StaffRoleType

Voice actor role for a character

| Field          |                                                                                              Argument | Type                                                                                                                      | Description |
| -------------- | ----------------------------------------------------------------------------------------------------: | ------------------------------------------------------------------------------------------------------------------------- | ----------- |
| **voiceActor** |   [Staff](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/object/staff/README.md) | The voice actors of the character                                                                                         |             |
| **roleNotes**  | [String](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/string/README.md) | Notes regarding the VA's role for the character                                                                           |             |
| **dubGroup**   | [String](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/string/README.md) | Used for grouping roles where multiple dubs exist for the same language. Either dubbing company name or language variant. |             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://anilist.gitbook.io/anilist-apiv2-docs/docs/reference/object/staffroletype.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
